# #########################################################
#
# \brief        Use qt qmake on this to make the Makefile.
#
#               This file is really only for XP because UNIX, 
#               Linux, and OSX can use the gnu automake.
#
#               This file exists for those that have qt (such as
#               myself). Others may simply use the Makefile.win
#
# #########################################################

# #########################################################
# COMMON
# #########################################################
TEMPLATE                = app
TARGET                  = myodbc3i
DESTDIR                 = ../bin
OBJECTS_DIR             = .tmp
include( ../config.qmake )
CONFIG                  += console
include( ../defines.qmake )
include( ../odbc.qmake )

# #########################################################
# WIN
# #########################################################
win32 {
        LIBS              += user32.lib ..\util\myodbcutil.lib
}

# #########################################################
# UNIX
# #########################################################
unix {
        LIBS               += -L../util -lmyodbcutil -lltdl
}

# #########################################################
# OSX
# #########################################################
mac {
#        CONFIG		-= thread
#        DEFINES		-= HAVE_ODBCINST_H
#        DEFINES		+= HAVE_IODBCINST_H
}

# #########################################################
# FILES
# #########################################################
HEADERS			=
SOURCES			= \
                        myodbcinst.c

